# Uses of Class
org.apache.sysds.runtime.instructions.spark.MapmmChainSPInstruction

Packages that use MapmmChainSPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.spark

## Uses of MapmmChainSPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type MapmmChainSPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getMatMulChainInstTime(MapmmChainSPInstruction inst, VarStats input1, VarStats input2, VarStats input3, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of MapmmChainSPInstruction in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return MapmmChainSPInstruction
Modifier and Type
Method
Description
`static MapmmChainSPInstruction`
MapmmChainSPInstruction.`parseInstruction(String str)`